com.verisign.epp.serverstub.registry.v01

## Class RegistryHandler

- java.lang.Object
- - com.verisign.epp.framework.registry.v01.EPPRegistryHandler
  - - com.verisign.epp.serverstub.registry.v01.RegistryHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class RegistryHandler
      extends EPPRegistryHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RegistryHandler.RegistryZone` `RegistryZone` represents an in-memory version of a Registry Zone with the base zone information along with all policy extensions.
    `static class` | `RegistryHandler.RegistryZones` `RegistryZones` stores the set of registry zone information.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistryHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doRegistryCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Registry Check command is received.
    `protected EPPEventResponse` | `doRegistryCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Registry Create command is received.
    `protected EPPEventResponse` | `doRegistryDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Registry Delete command is received.
    `protected EPPEventResponse` | `doRegistryInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Registry Info command is received.
    `protected EPPEventResponse` | `doRegistryUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Registry Update command is received.
    `static RegistryHandler.RegistryZones` | `getRegistryZones()` Gets the registry zones stored in the handler.

    - ### Methods inherited from class com.verisign.epp.framework.registry.v01.EPPRegistryHandler

      `getNamespace, handleEvent, postHandleEvent, preHandleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistryHandler

          public RegistryHandler()

  - ### Method Detail

    - #### getRegistryZones

          public static RegistryHandler.RegistryZones getRegistryZones()

      Gets the registry zones stored in the handler.
      Returns:
        Registry zones containing the stored zone information.

    - #### doRegistryCreate

          protected EPPEventResponse doRegistryCreate(EPPEvent aEvent,
                                                      java.lang.Object aData)

      Invoked when a Registry Create command is received. This method will add the zone to the cache if it doesn't already exist.
      Specified by:
        `doRegistryCreate` in class `EPPRegistryHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPRegistryHandler`
      Returns:
        The `EPPEventResponse` that should be sent back to the client.

    - #### doRegistryUpdate

          protected EPPEventResponse doRegistryUpdate(EPPEvent aEvent,
                                                      java.lang.Object aData)

      Invoked when a Registry Update command is received. This method will update the zone to the cache if it already exists. An error is returned if the zone doesn't exist.
      Specified by:
        `doRegistryUpdate` in class `EPPRegistryHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPRegistryHandler`
      Returns:
        The `EPPEventResponse` that should be sent back to the client.

    - #### doRegistryCheck

          protected EPPEventResponse doRegistryCheck(EPPEvent aEvent,
                                                     java.lang.Object aData)

      Invoked when a Registry Check command is received. This method will back the check results on the zones loaded into the cache.
      Specified by:
        `doRegistryCheck` in class `EPPRegistryHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPRegistryHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doRegistryInfo

          protected EPPEventResponse doRegistryInfo(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Invoked when a Registry Info command is received. This method supports the three forms of the info command, which include:
      - All - Get a summary list of all zones in the cache.
      - Zone - Get detailed zone information from a zone in the cache.
      - System - Get the Registry system information
      Specified by:
        `doRegistryInfo` in class `EPPRegistryHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPRegistryHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doRegistryDelete

          protected EPPEventResponse doRegistryDelete(EPPEvent aEvent,
                                                      java.lang.Object aData)

      Invoked when a Registry Delete command is received. This method will delete the zone from the cache if it exists. An error is returned back if the zone doesn't already exist.
      Specified by:
        `doRegistryDelete` in class `EPPRegistryHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPRegistryHandler`
      Returns:
        The `EPPEventResponse` that should be sent back to the client.

Copyright © VeriSign Inc. All Rights Reserved.